Skip to content

Role​

User roles you define in the settings.


OpenAPI Spec​

GET
/v1/roles/spec

Get OpenAPI 3.1.0 spec for Role API

Responses​

Returns OpenAPI 3.1.0 spec for Role API

application/json
JSON
{
}

Playground​

Samples​


List Roles​

GET
/v1/roles

List Roles

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"name": "string",
"type": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Get a Role​

GET
/v1/roles/{roleId}

Get a Role by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

roleId*
Type
integer
Required
Format
"int32"

Responses​

Role found

application/json
JSON
{
"id": 0,
"name": "string",
"type": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​